Name:           python-cheetah
Version:        3.2.6
Release:        1
Summary:        The Python-Powered Template Engine
License:        MIT
URL:            http://cheetahtemplate.org/
Source:         https://github.com/CheetahTemplate3/cheetah3/archive/refs/tags/3.2.6.tar.gz
BuildRequires:  gcc python3-devel python3-setuptools python3-markdown python3-pygments

Patch0001:      _bootlocale-removed.patch
Patch0002:      import-from-the-new-abc-module.patch

%description
Cheetah3 is a free and open source template engine and code-generation tool written in Python.
Cheetah can be used unto itself, or incorporated with other technologies and stacks regardless
of whether they’re written in Python or not.
At its core, Cheetah is a domain-specific language for markup generation and templating
which allows for full integration with existing Python code but also offers extensions
to traditional Python syntax to allow for easier text-generation.

%package     -n python3-cheetah
Summary: The Python-Powered Template Engine
%{?python_provide:%python_provide python3-cheetah}

%description -n python3-cheetah
The Python-Powered Template Engine

%prep
%autosetup -n cheetah3-%{version} -p1
%{__sed} -i -e '/^#!/,1d' Cheetah/Tests/*.py Cheetah/DirectiveAnalyzer.py Cheetah/Utils/Misc.py

%build
%py3_build

%install
%py3_install

%check
export PATH="%{buildroot}/%{_bindir}:$PATH" PYTHONPATH="%{buildroot}/%{python3_sitearch}"
%{buildroot}/%{_bindir}/cheetah test

%files -n python3-cheetah
%license LICENSE
%doc ANNOUNCE.rst README.rst TODO BUGS
%{_bindir}/*
%{python3_sitearch}/

%changelog
* Mon Oct 17 2022 Ge Wang <wangge20@h-partners.com> - 3.2.6-1
- Upgrade to version 3.2.6

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 3.1.0-9
- Remove subpackage python2-cheetah

* Wed Jun 24 2020 wangchong <wangchong56@huawei.com> - 3.1.0-8
- fix the tests error

* Wed Jan 8 2020 liujing<liujing144@huawei.com> - 3.1.0-7
- Package init
